#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.4
visibility:           public
id:                   jose-0.8.4-KXCTbcfMG1RCvTBqI4AVXw
key:                  jose-0.8.4-KXCTbcfMG1RCvTBqI4AVXw
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  27716a8f9770bffc8a7eb4a2b41527b5
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-8.10.2/site-local/jose-0.8.4
library-dirs:         /usr/lib/ghc-8.10.2/site-local/jose-0.8.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/jose-0.8.4
hs-libraries:         HSjose-0.8.4-KXCTbcfMG1RCvTBqI4AVXw
depends:
    QuickCheck-2.14.1-54Nibp4SRVEEcNcBKSVQ1l
    aeson-1.5.4.0-5vxqgGZiwHzJS2LSOWy84c
    attoparsec-0.13.2.4-5M99CjVqPJb6HJ808kFFFu base-4.14.1.0
    base64-bytestring-1.2.0.0-BIzQR1le2Cm4LmLG8fGG1V
    bytestring-0.10.10.0 concise-0.1.0.1-37GwrTUnBC38nguPkbFoY
    containers-0.6.2.1 cryptonite-0.27-GQDFsV0e2GLJaPfeS4zGY1
    lens-4.19.2-AFDR0qUqBp2mji2TF6cxB
    memory-0.15.0-359cYXe7lRF64CAN0G53fp
    monad-time-0.3.1.0-3d4yAlPjz8P33AmXrmtMWL mtl-2.2.2
    network-uri-2.6.3.0-4zNhOb1UVksAbr1USVWLZK
    quickcheck-instances-0.3.24-CxT4TTtNAcCFIrI97uZLCh
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b template-haskell-2.16.0.0
    text-1.2.3.2 time-1.9.3
    unordered-containers-0.2.12.0-5Ef7XCamkg9H83KRAEej2p
    vector-0.12.1.2-KHX5U3TBRrFFuOQ5e4wn9L
    x509-1.7.5-HuPIl0SErZEBHvTiyo5deD

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

